<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/LocoStepper.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('LocoStepper_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">LocoStepper.h</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<a href="LocoStepper_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// LocoStepper.h</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#ifndef NO_STEPPER</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor">#ifndef LocoStepper_h</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="preprocessor">#define LocoStepper_h</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno"><a class="line" href="classLocoStepper.html">   81</a></span>&#160;<span class="keyword">class </span><a class="code" href="classLocoStepper.html">LocoStepper</a></div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;{</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <a class="code" href="classLocoStepper.html#abefb91b8c07a88e6f5026e0805acdf74">LocoStepper</a>(uint8_t pin1, uint8_t pin2, uint8_t *inpStep2 = NULL);</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    <a class="code" href="classLocoStepper.html#abefb91b8c07a88e6f5026e0805acdf74">LocoStepper</a>(uint8_t pin1, uint8_t pin2, uint8_t pin3, uint8_t pin4, uint8_t *inpStep2 = NULL);</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    <span class="keywordtype">void</span>    <a class="code" href="classLocoStepper.html#ae0792a7479f1a52018d948c22600fab0">moveTo</a>(<span class="keywordtype">long</span> absolute); </div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    <span class="keywordtype">void</span>    <a class="code" href="classLocoStepper.html#a8be0715eaa122dc111359e9dd06168d9">move</a>(<span class="keywordtype">long</span> relative);</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    <span class="keywordtype">boolean</span> <a class="code" href="classLocoStepper.html#ae4045493f8395d7b3dc0a8e1477b3596">run</a>();</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;    <span class="keywordtype">void</span>    <a class="code" href="classLocoStepper.html#ae5c23466938595842934a2331cfeb21e">setSpeed</a>(<span class="keywordtype">float</span> <a class="code" href="classLocoStepper.html#a75ea615634b59ab0880cad22f7b40c48">speed</a>);</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;    <span class="keywordtype">float</span>   <a class="code" href="classLocoStepper.html#a75ea615634b59ab0880cad22f7b40c48">speed</a>();</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;    <span class="keywordtype">long</span>    <a class="code" href="classLocoStepper.html#a2716957fdca4c048fcf5ba65e89abc95">distanceToGo</a>();</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    <span class="keywordtype">long</span>    <a class="code" href="classLocoStepper.html#a92a8648eb49926cdb11f96cdc6de17b4">targetPosition</a>();</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;    <span class="keywordtype">long</span>    <a class="code" href="classLocoStepper.html#a3f619bbe60bc7f71b64d0447b7c6b0ad">currentPosition</a>();  </div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;    <span class="keywordtype">void</span>    <a class="code" href="classLocoStepper.html#a0ff4c5df6aa76c31d05c357f48bf1223">setCurrentPosition</a>(<span class="keywordtype">long</span> position);  </div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;    </div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;    <span class="keywordtype">void</span>    <a class="code" href="classLocoStepper.html#a66ed72e5f551d8ffe86b00e642c832f2">disableOutputs</a>();</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;    <span class="keywordtype">void</span>    <a class="code" href="classLocoStepper.html#a10a8e0c2464a99df13ff50f675e7b4e0">enableOutputs</a>();</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;    <span class="keywordtype">void</span>    <a class="code" href="classLocoStepper.html#ad542ef50f02428220ab20af161e5a541">setMinPulseWidth</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> minWidth);</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;    <span class="keywordtype">void</span>   <a class="code" href="classLocoStepper.html#a293e88856ea392788806ab4413776d31">step</a>(uint8_t <a class="code" href="classLocoStepper.html#a293e88856ea392788806ab4413776d31">step</a>);</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;    <span class="keywordtype">void</span>   <a class="code" href="classLocoStepper.html#a819e566cc3c4586f5a2c095983fa52f3">step2</a>(uint8_t step);</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;    <span class="keywordtype">void</span>   <a class="code" href="classLocoStepper.html#a3b2f0bee97af34b780e8d715eedf7b4d">step4</a>(uint8_t step);</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;    uint8_t _pin1, _pin2, _pin3, _pin4;</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;    uint8_t *pSteps;</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;    <span class="keywordtype">bool</span> invertedDigital;</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;    <span class="keywordtype">long</span>           _currentPos;    <span class="comment">// Steps</span></div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;    <span class="keywordtype">long</span>           _targetPos;     <span class="comment">// Steps</span></div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;</div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;    <span class="keywordtype">float</span>          _speed;         <span class="comment">// Steps per second</span></div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span>  _stepInterval;</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;       </div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span>  _lastRunTime;</div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;</div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span>  _lastStepTime;</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>   _minPulseWidth;</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;};</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;</div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;<span class="preprocessor">#endif </span></div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;<span class="preprocessor">#endif </span></div><div class="ttc" id="classLocoStepper_html_a3b2f0bee97af34b780e8d715eedf7b4d"><div class="ttname"><a href="classLocoStepper.html#a3b2f0bee97af34b780e8d715eedf7b4d">LocoStepper::step4</a></div><div class="ttdeci">void step4(uint8_t step)</div><div class="ttdef"><b>Definition:</b> <a href="LocoStepper_8cpp_source.html#l00159">LocoStepper.cpp:159</a></div></div>
<div class="ttc" id="classLocoStepper_html_a66ed72e5f551d8ffe86b00e642c832f2"><div class="ttname"><a href="classLocoStepper.html#a66ed72e5f551d8ffe86b00e642c832f2">LocoStepper::disableOutputs</a></div><div class="ttdeci">void disableOutputs()</div><div class="ttdef"><b>Definition:</b> <a href="LocoStepper_8cpp_source.html#l00181">LocoStepper.cpp:181</a></div></div>
<div class="ttc" id="classLocoStepper_html_a0ff4c5df6aa76c31d05c357f48bf1223"><div class="ttname"><a href="classLocoStepper.html#a0ff4c5df6aa76c31d05c357f48bf1223">LocoStepper::setCurrentPosition</a></div><div class="ttdeci">void setCurrentPosition(long position)</div><div class="ttdef"><b>Definition:</b> <a href="LocoStepper_8cpp_source.html#l00124">LocoStepper.cpp:124</a></div></div>
<div class="ttc" id="classLocoStepper_html_a3f619bbe60bc7f71b64d0447b7c6b0ad"><div class="ttname"><a href="classLocoStepper.html#a3f619bbe60bc7f71b64d0447b7c6b0ad">LocoStepper::currentPosition</a></div><div class="ttdeci">long currentPosition()</div><div class="ttdef"><b>Definition:</b> <a href="LocoStepper_8cpp_source.html#l00118">LocoStepper.cpp:118</a></div></div>
<div class="ttc" id="classLocoStepper_html_ad542ef50f02428220ab20af161e5a541"><div class="ttname"><a href="classLocoStepper.html#ad542ef50f02428220ab20af161e5a541">LocoStepper::setMinPulseWidth</a></div><div class="ttdeci">void setMinPulseWidth(unsigned int minWidth)</div><div class="ttdef"><b>Definition:</b> <a href="LocoStepper_8cpp_source.html#l00201">LocoStepper.cpp:201</a></div></div>
<div class="ttc" id="classLocoStepper_html_a92a8648eb49926cdb11f96cdc6de17b4"><div class="ttname"><a href="classLocoStepper.html#a92a8648eb49926cdb11f96cdc6de17b4">LocoStepper::targetPosition</a></div><div class="ttdeci">long targetPosition()</div><div class="ttdef"><b>Definition:</b> <a href="LocoStepper_8cpp_source.html#l00113">LocoStepper.cpp:113</a></div></div>
<div class="ttc" id="classLocoStepper_html_a2716957fdca4c048fcf5ba65e89abc95"><div class="ttname"><a href="classLocoStepper.html#a2716957fdca4c048fcf5ba65e89abc95">LocoStepper::distanceToGo</a></div><div class="ttdeci">long distanceToGo()</div><div class="ttdef"><b>Definition:</b> <a href="LocoStepper_8cpp_source.html#l00108">LocoStepper.cpp:108</a></div></div>
<div class="ttc" id="classLocoStepper_html_a10a8e0c2464a99df13ff50f675e7b4e0"><div class="ttname"><a href="classLocoStepper.html#a10a8e0c2464a99df13ff50f675e7b4e0">LocoStepper::enableOutputs</a></div><div class="ttdeci">void enableOutputs()</div><div class="ttdef"><b>Definition:</b> <a href="LocoStepper_8cpp_source.html#l00191">LocoStepper.cpp:191</a></div></div>
<div class="ttc" id="classLocoStepper_html_a75ea615634b59ab0880cad22f7b40c48"><div class="ttname"><a href="classLocoStepper.html#a75ea615634b59ab0880cad22f7b40c48">LocoStepper::speed</a></div><div class="ttdeci">float speed()</div><div class="ttdef"><b>Definition:</b> <a href="LocoStepper_8cpp_source.html#l00135">LocoStepper.cpp:135</a></div></div>
<div class="ttc" id="classLocoStepper_html_ae5c23466938595842934a2331cfeb21e"><div class="ttname"><a href="classLocoStepper.html#ae5c23466938595842934a2331cfeb21e">LocoStepper::setSpeed</a></div><div class="ttdeci">void setSpeed(float speed)</div><div class="ttdef"><b>Definition:</b> <a href="LocoStepper_8cpp_source.html#l00129">LocoStepper.cpp:129</a></div></div>
<div class="ttc" id="classLocoStepper_html_a819e566cc3c4586f5a2c095983fa52f3"><div class="ttname"><a href="classLocoStepper.html#a819e566cc3c4586f5a2c095983fa52f3">LocoStepper::step2</a></div><div class="ttdeci">void step2(uint8_t step)</div><div class="ttdef"><b>Definition:</b> <a href="LocoStepper_8cpp_source.html#l00143">LocoStepper.cpp:143</a></div></div>
<div class="ttc" id="classLocoStepper_html_a293e88856ea392788806ab4413776d31"><div class="ttname"><a href="classLocoStepper.html#a293e88856ea392788806ab4413776d31">LocoStepper::step</a></div><div class="ttdeci">void step(uint8_t step)</div></div>
<div class="ttc" id="classLocoStepper_html_ae4045493f8395d7b3dc0a8e1477b3596"><div class="ttname"><a href="classLocoStepper.html#ae4045493f8395d7b3dc0a8e1477b3596">LocoStepper::run</a></div><div class="ttdeci">boolean run()</div><div class="ttdef"><b>Definition:</b> <a href="LocoStepper_8cpp_source.html#l00072">LocoStepper.cpp:72</a></div></div>
<div class="ttc" id="classLocoStepper_html_a8be0715eaa122dc111359e9dd06168d9"><div class="ttname"><a href="classLocoStepper.html#a8be0715eaa122dc111359e9dd06168d9">LocoStepper::move</a></div><div class="ttdeci">void move(long relative)</div><div class="ttdef"><b>Definition:</b> <a href="LocoStepper_8cpp_source.html#l00063">LocoStepper.cpp:63</a></div></div>
<div class="ttc" id="classLocoStepper_html_ae0792a7479f1a52018d948c22600fab0"><div class="ttname"><a href="classLocoStepper.html#ae0792a7479f1a52018d948c22600fab0">LocoStepper::moveTo</a></div><div class="ttdeci">void moveTo(long absolute)</div><div class="ttdef"><b>Definition:</b> <a href="LocoStepper_8cpp_source.html#l00049">LocoStepper.cpp:49</a></div></div>
<div class="ttc" id="classLocoStepper_html_abefb91b8c07a88e6f5026e0805acdf74"><div class="ttname"><a href="classLocoStepper.html#abefb91b8c07a88e6f5026e0805acdf74">LocoStepper::LocoStepper</a></div><div class="ttdeci">LocoStepper(uint8_t pin1, uint8_t pin2, uint8_t *inpStep2 = NULL)</div><div class="ttdef"><b>Definition:</b> <a href="LocoStepper_8cpp_source.html#l00021">LocoStepper.cpp:21</a></div></div>
<div class="ttc" id="classLocoStepper_html"><div class="ttname"><a href="classLocoStepper.html">LocoStepper</a></div><div class="ttdoc">Support for stepper motors with acceleration etc. </div><div class="ttdef"><b>Definition:</b> <a href="LocoStepper_8h_source.html#l00081">LocoStepper.h:81</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><a class="el" href="LocoStepper_8h.html">LocoStepper.h</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
